AGTCloud API Docs
GuidesAPI ReferenceIntegrations and resourcesUpdate and help
Image generationGemini Nano

Create / edit images

Generate or edit reference images using the native Gemini API.

POST/v1beta/models/{model}:generateContent

Generate images from a prompt, or include reference images in the same request to edit them.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

model*string

Platform image model ID.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

Google Gemini image generation and editing guideImage requests, responses and multi-turn editing.